
/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

#ifndef _CSLR__SPI_1_H_
#define _CSLR__SPI_1_H_

#include <cslr.h>

#include <tistdtypes.h>


/* Minimum unit = 1 byte */

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 SPIGCR0;
    volatile Uint32 SPIGCR1;
    volatile Uint32 SPIINT0;
    volatile Uint32 SPILVL;
    volatile Uint32 SPIFLG;
    volatile Uint32 SPIPC0;
    volatile Uint32 SPIPC1;
    volatile Uint32 SPIPC2;
    volatile Uint32 SPIPC3;
    volatile Uint32 SPIPC4;
    volatile Uint32 SPIPC5;
    volatile Uint32 SPIPC6;
    volatile Uint32 SPIPC7;
    volatile Uint32 SPIPC8;
    volatile Uint32 SPIDAT0;
    volatile Uint32 SPIDAT1;
    volatile Uint32 SPIBUF;
    volatile Uint32 SPIEMU;
    volatile Uint32 SPIDELAY;
    volatile Uint32 SPIDEF;
    volatile Uint32 SPIFMT[4];
    volatile Uint32 TGINTVEC[2];
    volatile Uint32 SPIDUMMY[51];
    volatile Uint32 SPIIOLPBK;
} CSL_SpiRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* SPIGCR0 */


#define CSL_SPI_SPIGCR0_RESET_MASK (0x00000001u)
#define CSL_SPI_SPIGCR0_RESET_SHIFT (0x00000000u)
#define CSL_SPI_SPIGCR0_RESET_RESETVAL (0x00000000u)
/*----RESET Tokens----*/
#define CSL_SPI_SPIGCR0_RESET_YES (0x00000000u)
#define CSL_SPI_SPIGCR0_RESET_NO (0x00000001u)

#define CSL_SPI_SPIGCR0_RESETVAL (0x00000000u)

/* SPIGCR1 */


#define CSL_SPI_SPIGCR1_SPIEN_MASK (0x01000000u)
#define CSL_SPI_SPIGCR1_SPIEN_SHIFT (0x00000018u)
#define CSL_SPI_SPIGCR1_SPIEN_RESETVAL (0x00000000u)
/*----SPIEN Tokens----*/
#define CSL_SPI_SPIGCR1_SPIEN_INRESET (0x00000000u)
#define CSL_SPI_SPIGCR1_SPIEN_ACTIVE (0x00000001u)


#define CSL_SPI_SPIGCR1_LOOPBACK_MASK (0x00010000u)
#define CSL_SPI_SPIGCR1_LOOPBACK_SHIFT (0x00000010u)
#define CSL_SPI_SPIGCR1_LOOPBACK_RESETVAL (0x00000000u)
/*----LOOPBACK Tokens----*/
#define CSL_SPI_SPIGCR1_LOOPBACK_DISABLE (0x00000000u)
#define CSL_SPI_SPIGCR1_LOOPBACK_ENABLE (0x00000001u)


#define CSL_SPI_SPIGCR1_PWRDN_MASK (0x00000100u)
#define CSL_SPI_SPIGCR1_PWRDN_SHIFT (0x00000008u)
#define CSL_SPI_SPIGCR1_PWRDN_RESETVAL (0x00000000u)
/*----POWERDOWN Tokens----*/
#define CSL_SPI_SPIGCR1_PWRDN_ACTIVE (0x00000000u)
#define CSL_SPI_SPIGCR1_PWRDN_PWRDN (0x00000001u)


#define CSL_SPI_SPIGCR1_CLKMOD_MASK (0x00000002u)
#define CSL_SPI_SPIGCR1_CLKMOD_SHIFT (0x00000001u)
#define CSL_SPI_SPIGCR1_CLKMOD_RESETVAL (0x00000000u)
/*----CLKMOD Tokens----*/
#define CSL_SPI_SPIGCR1_CLKMOD_EXTERNAL (0x00000000u)
#define CSL_SPI_SPIGCR1_CLKMOD_INTERNAL (0x00000001u)

#define CSL_SPI_SPIGCR1_MASTER_MASK (0x00000001u)
#define CSL_SPI_SPIGCR1_MASTER_SHIFT (0x00000000u)
#define CSL_SPI_SPIGCR1_MASTER_RESETVAL (0x00000000u)
/*----MASTER Tokens----*/
#define CSL_SPI_SPIGCR1_MASTER_SLAVE (0x00000000u)
#define CSL_SPI_SPIGCR1_MASTER_MASTER (0x00000001u)

#define CSL_SPI_SPIGCR1_RESETVAL (0x00000000u)

/* SPIINT0 */


#define CSL_SPI_SPIINT0_ENAHIGHZ_MASK (0x01000000u)
#define CSL_SPI_SPIINT0_ENAHIGHZ_SHIFT (0x00000018u)
#define CSL_SPI_SPIINT0_ENAHIGHZ_RESETVAL (0x00000000u)
/*----ENABLEHIGHZ Tokens----*/
#define CSL_SPI_SPIINT0_ENAHIGHZ_DISABLE (0x00000000u)
#define CSL_SPI_SPIINT0_ENAHIGHZ_ENABLE (0x00000001u)


#define CSL_SPI_SPIINT0_DMAREQ_MASK (0x00010000u)
#define CSL_SPI_SPIINT0_DMAREQ_SHIFT (0x00000010u)
#define CSL_SPI_SPIINT0_DMAREQ_RESETVAL (0x00000000u)
/*----DMAREQEN Tokens----*/
#define CSL_SPI_SPIINT0_DMAREQ_DISABLE (0x00000000u)
#define CSL_SPI_SPIINT0_DMAREQ_ENABLE (0x00000001u)


#define CSL_SPI_SPIINT0_TXINT_MASK (0x00000200u)
#define CSL_SPI_SPIINT0_TXINT_SHIFT (0x00000009u)
#define CSL_SPI_SPIINT0_TXINT_RESETVAL (0x00000000u)
/*----TXINTENA Tokens----*/
#define CSL_SPI_SPIINT0_TXINT_DISABLE (0x00000000u)
#define CSL_SPI_SPIINT0_TXINT_ENABLE (0x00000001u)

#define CSL_SPI_SPIINT0_RXINT_MASK (0x00000100u)
#define CSL_SPI_SPIINT0_RXINT_SHIFT (0x00000008u)
#define CSL_SPI_SPIINT0_RXINT_RESETVAL (0x00000000u)
/*----RXINTENA Tokens----*/
#define CSL_SPI_SPIINT0_RXINT_DISABLE (0x00000000u)
#define CSL_SPI_SPIINT0_RXINT_ENABLE (0x00000001u)


#define CSL_SPI_SPIINT0_OVRNINT_MASK (0x00000040u)
#define CSL_SPI_SPIINT0_OVRNINT_SHIFT (0x00000006u)
#define CSL_SPI_SPIINT0_OVRNINT_RESETVAL (0x00000000u)
/*----OVRNINTENA Tokens----*/
#define CSL_SPI_SPIINT0_OVRNINT_DISABLE (0x00000000u)
#define CSL_SPI_SPIINT0_OVRNINT_ENABLE (0x00000001u)


#define CSL_SPI_SPIINT0_BITERR_MASK (0x00000010u)
#define CSL_SPI_SPIINT0_BITERR_SHIFT (0x00000004u)
#define CSL_SPI_SPIINT0_BITERR_RESETVAL (0x00000000u)
/*----BITERRENA Tokens----*/
#define CSL_SPI_SPIINT0_BITERR_DISABLE (0x00000000u)
#define CSL_SPI_SPIINT0_BITERR_ENABLE (0x00000001u)

#define CSL_SPI_SPIINT0_DESYNC_MASK (0x00000008u)
#define CSL_SPI_SPIINT0_DESYNC_SHIFT (0x00000003u)
#define CSL_SPI_SPIINT0_DESYNC_RESETVAL (0x00000000u)
/*----DESYNCENA Tokens----*/
#define CSL_SPI_SPIINT0_DESYNC_DISABLE (0x00000000u)
#define CSL_SPI_SPIINT0_DESYNC_ENABLE (0x00000001u)

#define CSL_SPI_SPIINT0_PARERR_MASK (0x00000004u)
#define CSL_SPI_SPIINT0_PARERR_SHIFT (0x00000002u)
#define CSL_SPI_SPIINT0_PARERR_RESETVAL (0x00000000u)
/*----PARERRENA Tokens----*/
#define CSL_SPI_SPIINT0_PARERR_DISABLE (0x00000000u)
#define CSL_SPI_SPIINT0_PARERR_ENABLE (0x00000001u)

#define CSL_SPI_SPIINT0_TIMEOUT_MASK (0x00000002u)
#define CSL_SPI_SPIINT0_TIMEOUT_SHIFT (0x00000001u)
#define CSL_SPI_SPIINT0_TIMEOUT_RESETVAL (0x00000000u)
/*----TIMEOUTENA Tokens----*/
#define CSL_SPI_SPIINT0_TIMEOUT_DISABLE (0x00000000u)
#define CSL_SPI_SPIINT0_TIMEOUT_ENABLE (0x00000001u)

#define CSL_SPI_SPIINT0_DLENERR_MASK (0x00000001u)
#define CSL_SPI_SPIINT0_DLENERR_SHIFT (0x00000000u)
#define CSL_SPI_SPIINT0_DLENERR_RESETVAL (0x00000000u)
/*----DLENERRENA Tokens----*/
#define CSL_SPI_SPIINT0_DLENERR_DISABLE (0x00000000u)
#define CSL_SPI_SPIINT0_DLENERR_ENABLE (0x00000001u)

#define CSL_SPI_SPIINT0_RESETVAL (0x00000000u)

/* SPILVL */


#define CSL_SPI_SPILVL_TXINTLVL_MASK (0x00000200u)
#define CSL_SPI_SPILVL_TXINTLVL_SHIFT (0x00000009u)
#define CSL_SPI_SPILVL_TXINTLVL_RESETVAL (0x00000000u)
/*----TXINTLVL Tokens----*/
#define CSL_SPI_SPILVL_TXINTLVL_INT0 (0x00000000u)
#define CSL_SPI_SPILVL_TXINTLVL_INT1 (0x00000001u)

#define CSL_SPI_SPILVL_RXINTLVL_MASK (0x00000100u)
#define CSL_SPI_SPILVL_RXINTLVL_SHIFT (0x00000008u)
#define CSL_SPI_SPILVL_RXINTLVL_RESETVAL (0x00000000u)
/*----RXINTLVL Tokens----*/
#define CSL_SPI_SPILVL_RXINTLVL_INT0 (0x00000000u)
#define CSL_SPI_SPILVL_RXINTLVL_INT1 (0x00000001u)


#define CSL_SPI_SPILVL_OVRNINTLVL_MASK (0x00000040u)
#define CSL_SPI_SPILVL_OVRNINTLVL_SHIFT (0x00000006u)
#define CSL_SPI_SPILVL_OVRNINTLVL_RESETVAL (0x00000000u)
/*----OVRNINTLVL Tokens----*/
#define CSL_SPI_SPILVL_OVRNINTLVL_INT0 (0x00000000u)
#define CSL_SPI_SPILVL_OVRNINTLVL_INT1 (0x00000001u)


#define CSL_SPI_SPILVL_BITERRLVL_MASK (0x00000010u)
#define CSL_SPI_SPILVL_BITERRLVL_SHIFT (0x00000004u)
#define CSL_SPI_SPILVL_BITERRLVL_RESETVAL (0x00000000u)
/*----BITERRLVL Tokens----*/
#define CSL_SPI_SPILVL_BITERRLVL_INT0 (0x00000000u)
#define CSL_SPI_SPILVL_BITERRLVL_INT1 (0x00000001u)

#define CSL_SPI_SPILVL_DESYNCLVL_MASK (0x00000008u)
#define CSL_SPI_SPILVL_DESYNCLVL_SHIFT (0x00000003u)
#define CSL_SPI_SPILVL_DESYNCLVL_RESETVAL (0x00000000u)
/*----DESYNCLVL Tokens----*/
#define CSL_SPI_SPILVL_DESYNCLVL_INT0 (0x00000000u)
#define CSL_SPI_SPILVL_DESYNCLVL_INT1 (0x00000001u)

#define CSL_SPI_SPILVL_PARERRLVL_MASK (0x00000004u)
#define CSL_SPI_SPILVL_PARERRLVL_SHIFT (0x00000002u)
#define CSL_SPI_SPILVL_PARERRLVL_RESETVAL (0x00000000u)
/*----PARERRLVL Tokens----*/
#define CSL_SPI_SPILVL_PARERRLVL_INT0 (0x00000000u)
#define CSL_SPI_SPILVL_PARERRLVL_INT1 (0x00000001u)

#define CSL_SPI_SPILVL_TIMEOUTLVL_MASK (0x00000002u)
#define CSL_SPI_SPILVL_TIMEOUTLVL_SHIFT (0x00000001u)
#define CSL_SPI_SPILVL_TIMEOUTLVL_RESETVAL (0x00000000u)
/*----TIMEOUTLVL Tokens----*/
#define CSL_SPI_SPILVL_TIMEOUTLVL_INT0 (0x00000000u)
#define CSL_SPI_SPILVL_TIMEOUTLVL_INT1 (0x00000001u)

#define CSL_SPI_SPILVL_DLENERRLVL_MASK (0x00000001u)
#define CSL_SPI_SPILVL_DLENERRLVL_SHIFT (0x00000000u)
#define CSL_SPI_SPILVL_DLENERRLVL_RESETVAL (0x00000000u)
/*----DLENERRLVL Tokens----*/
#define CSL_SPI_SPILVL_DLENERRLVL_INT0 (0x00000000u)
#define CSL_SPI_SPILVL_DLENERRLVL_INT1 (0x00000001u)

#define CSL_SPI_SPILVL_RESETVAL (0x00000000u)

/* SPIFLG */




#define CSL_SPI_SPIFLG_TXINTFLG_MASK (0x00000200u)
#define CSL_SPI_SPIFLG_TXINTFLG_SHIFT (0x00000009u)
#define CSL_SPI_SPIFLG_TXINTFLG_RESETVAL (0x00000000u)
/*----TXINTFLG Tokens----*/
#define CSL_SPI_SPIFLG_TXINTFLG_NO_EMPTY (0x00000000u)
#define CSL_SPI_SPIFLG_TXINTFLG_EMPTY (0x00000001u)

#define CSL_SPI_SPIFLG_RXINTFLG_MASK (0x00000100u)
#define CSL_SPI_SPIFLG_RXINTFLG_SHIFT (0x00000008u)
#define CSL_SPI_SPIFLG_RXINTFLG_RESETVAL (0x00000000u)
/*----RXINTFLG Tokens----*/
#define CSL_SPI_SPIFLG_RXINTFLG_NO_FULL (0x00000000u)
#define CSL_SPI_SPIFLG_RXINTFLG_FULL (0x00000001u)


#define CSL_SPI_SPIFLG_OVRNINTFLG_MASK (0x00000040u)
#define CSL_SPI_SPIFLG_OVRNINTFLG_SHIFT (0x00000006u)
#define CSL_SPI_SPIFLG_OVRNINTFLG_RESETVAL (0x00000000u)
/*----OVRNINTFLG Tokens----*/
#define CSL_SPI_SPIFLG_OVRNINTFLG_NO_ERROR (0x00000000u)
#define CSL_SPI_SPIFLG_OVRNINTFLG_ERROR (0x00000001u)


#define CSL_SPI_SPIFLG_BITERRFLG_MASK (0x00000010u)
#define CSL_SPI_SPIFLG_BITERRFLG_SHIFT (0x00000004u)
#define CSL_SPI_SPIFLG_BITERRFLG_RESETVAL (0x00000000u)
/*----BITERRFLG Tokens----*/
#define CSL_SPI_SPIFLG_BITERRFLG_NO_ERROR (0x00000000u)
#define CSL_SPI_SPIFLG_BITERRFLG_ERROR (0x00000001u)

#define CSL_SPI_SPIFLG_DESYNCFLG_MASK (0x00000008u)
#define CSL_SPI_SPIFLG_DESYNCFLG_SHIFT (0x00000003u)
#define CSL_SPI_SPIFLG_DESYNCFLG_RESETVAL (0x00000000u)
/*----DESYNCFLG Tokens----*/
#define CSL_SPI_SPIFLG_DESYNCFLG_NO_ERROR (0x00000000u)
#define CSL_SPI_SPIFLG_DESYNCFLG_ERROR (0x00000001u)

#define CSL_SPI_SPIFLG_PARERRFLG_MASK (0x00000004u)
#define CSL_SPI_SPIFLG_PARERRFLG_SHIFT (0x00000002u)
#define CSL_SPI_SPIFLG_PARERRFLG_RESETVAL (0x00000000u)
/*----PARERRFLG Tokens----*/
#define CSL_SPI_SPIFLG_PARERRFLG_NO_ERROR (0x00000000u)
#define CSL_SPI_SPIFLG_PARERRFLG_ERROR (0x00000001u)

#define CSL_SPI_SPIFLG_TIMEOUTFLG_MASK (0x00000002u)
#define CSL_SPI_SPIFLG_TIMEOUTFLG_SHIFT (0x00000001u)
#define CSL_SPI_SPIFLG_TIMEOUTFLG_RESETVAL (0x00000000u)
/*----TIMEOUTFLG Tokens----*/
#define CSL_SPI_SPIFLG_TIMEOUTFLG_NO_ERROR (0x00000000u)
#define CSL_SPI_SPIFLG_TIMEOUTFLG_ERROR (0x00000001u)

#define CSL_SPI_SPIFLG_DLENERRFLG_MASK (0x00000001u)
#define CSL_SPI_SPIFLG_DLENERRFLG_SHIFT (0x00000000u)
#define CSL_SPI_SPIFLG_DLENERRFLG_RESETVAL (0x00000000u)
/*----DLENERRFLG Tokens----*/
#define CSL_SPI_SPIFLG_DLENERRFLG_NO_ERROR (0x00000000u)
#define CSL_SPI_SPIFLG_DLENERRFLG_ERROR (0x00000001u)

#define CSL_SPI_SPIFLG_RESETVAL (0x01000000u)

/* SPIPC0 */


#define CSL_SPI_SPIPC0_SOMIFUN_MASK (0x00000800u)
#define CSL_SPI_SPIPC0_SOMIFUN_SHIFT (0x0000000Bu)
#define CSL_SPI_SPIPC0_SOMIFUN_RESETVAL (0x00000000u)
/*----SOMIFUN Tokens----*/
#define CSL_SPI_SPIPC0_SOMIFUN_GPIO (0x00000000u)
#define CSL_SPI_SPIPC0_SOMIFUN_SPI (0x00000001u)

#define CSL_SPI_SPIPC0_SIMOFUN_MASK (0x00000400u)
#define CSL_SPI_SPIPC0_SIMOFUN_SHIFT (0x0000000Au)
#define CSL_SPI_SPIPC0_SIMOFUN_RESETVAL (0x00000000u)
/*----SIMOFUN Tokens----*/
#define CSL_SPI_SPIPC0_SIMOFUN_GPIO (0x00000000u)
#define CSL_SPI_SPIPC0_SIMOFUN_SPI (0x00000001u)

#define CSL_SPI_SPIPC0_CLKFUN_MASK (0x00000200u)
#define CSL_SPI_SPIPC0_CLKFUN_SHIFT (0x00000009u)
#define CSL_SPI_SPIPC0_CLKFUN_RESETVAL (0x00000000u)
/*----CLKFUN Tokens----*/
#define CSL_SPI_SPIPC0_CLKFUN_GPIO (0x00000000u)
#define CSL_SPI_SPIPC0_CLKFUN_SPI (0x00000001u)

#define CSL_SPI_SPIPC0_ENAFUN_MASK (0x00000100u)
#define CSL_SPI_SPIPC0_ENAFUN_SHIFT (0x00000008u)
#define CSL_SPI_SPIPC0_ENAFUN_RESETVAL (0x00000000u)
/*----ENAFUN Tokens----*/
#define CSL_SPI_SPIPC0_ENAFUN_GPIO (0x00000000u)
#define CSL_SPI_SPIPC0_ENAFUN_SPI (0x00000001u)


#define CSL_SPI_SPIPC0_SCSFUN_MASK (0x00000001u)
#define CSL_SPI_SPIPC0_SCSFUN_SHIFT (0x00000000u)
#define CSL_SPI_SPIPC0_SCSFUN_RESETVAL (0x00000000u)
/*----SCSFUN Tokens----*/
#define CSL_SPI_SPIPC0_SCSFUN_GPIO (0x00000000u)
#define CSL_SPI_SPIPC0_SCSFUN_SPI (0x00000001u)

#define CSL_SPI_SPIPC0_RESETVAL (0x00000000u)

/* SPIPC1 */


#define CSL_SPI_SPIPC1_SOMIDIR_MASK (0x00000800u)
#define CSL_SPI_SPIPC1_SOMIDIR_SHIFT (0x0000000Bu)
#define CSL_SPI_SPIPC1_SOMIDIR_RESETVAL (0x00000000u)
/*----SOMIDIR Tokens----*/
#define CSL_SPI_SPIPC1_SOMIDIR_INPUT (0x00000000u)
#define CSL_SPI_SPIPC1_SOMIDIR_OUTPUT (0x00000001u)

#define CSL_SPI_SPIPC1_SIMODIR_MASK (0x00000400u)
#define CSL_SPI_SPIPC1_SIMODIR_SHIFT (0x0000000Au)
#define CSL_SPI_SPIPC1_SIMODIR_RESETVAL (0x00000000u)
/*----SIMODIR Tokens----*/
#define CSL_SPI_SPIPC1_SIMODIR_INPUT (0x00000000u)
#define CSL_SPI_SPIPC1_SIMODIR_OUTPUT (0x00000001u)

#define CSL_SPI_SPIPC1_CLKDIR_MASK (0x00000200u)
#define CSL_SPI_SPIPC1_CLKDIR_SHIFT (0x00000009u)
#define CSL_SPI_SPIPC1_CLKDIR_RESETVAL (0x00000000u)
/*----CLKDIR Tokens----*/
#define CSL_SPI_SPIPC1_CLKDIR_INPUT (0x00000000u)
#define CSL_SPI_SPIPC1_CLKDIR_OUTPUT (0x00000001u)

#define CSL_SPI_SPIPC1_ENADIR_MASK (0x00000100u)
#define CSL_SPI_SPIPC1_ENADIR_SHIFT (0x00000008u)
#define CSL_SPI_SPIPC1_ENADIR_RESETVAL (0x00000000u)
/*----ENADIR Tokens----*/
#define CSL_SPI_SPIPC1_ENADIR_INPUT (0x00000000u)
#define CSL_SPI_SPIPC1_ENADIR_OUTPUT (0x00000001u)


#define CSL_SPI_SPIPC1_SCSDIR_MASK (0x00000001u)
#define CSL_SPI_SPIPC1_SCSDIR_SHIFT (0x00000000u)
#define CSL_SPI_SPIPC1_SCSDIR_RESETVAL (0x00000000u)
/*----SCSDIR Tokens----*/
#define CSL_SPI_SPIPC1_SCSDIR_INPUT (0x00000000u)
#define CSL_SPI_SPIPC1_SCSDIR_OUTPUT (0x00000001u)

#define CSL_SPI_SPIPC1_RESETVAL (0x00000000u)

/* SPIPC2 */


#define CSL_SPI_SPIPC2_SOMIDIN_MASK (0x00000800u)
#define CSL_SPI_SPIPC2_SOMIDIN_SHIFT (0x0000000Bu)
#define CSL_SPI_SPIPC2_SOMIDIN_RESETVAL (0x00000000u)
/*----SOMIDIN Tokens----*/
#define CSL_SPI_SPIPC2_SOMIDIN_LOW (0x00000000u)
#define CSL_SPI_SPIPC2_SOMIDIN_HIGH (0x00000001u)

#define CSL_SPI_SPIPC2_SIMODIN_MASK (0x00000400u)
#define CSL_SPI_SPIPC2_SIMODIN_SHIFT (0x0000000Au)
#define CSL_SPI_SPIPC2_SIMODIN_RESETVAL (0x00000000u)
/*----SIMODIN Tokens----*/
#define CSL_SPI_SPIPC2_SIMODIN_LOW (0x00000000u)
#define CSL_SPI_SPIPC2_SIMODIN_HIGH (0x00000001u)

#define CSL_SPI_SPIPC2_CLKDIN_MASK (0x00000200u)
#define CSL_SPI_SPIPC2_CLKDIN_SHIFT (0x00000009u)
#define CSL_SPI_SPIPC2_CLKDIN_RESETVAL (0x00000000u)
/*----CLKDIN Tokens----*/
#define CSL_SPI_SPIPC2_CLKDIN_LOW (0x00000000u)
#define CSL_SPI_SPIPC2_CLKDIN_HIGH (0x00000001u)

#define CSL_SPI_SPIPC2_ENADIN_MASK (0x00000100u)
#define CSL_SPI_SPIPC2_ENADIN_SHIFT (0x00000008u)
#define CSL_SPI_SPIPC2_ENADIN_RESETVAL (0x00000000u)
/*----ENADIN Tokens----*/
#define CSL_SPI_SPIPC2_ENADIN_LOW (0x00000000u)
#define CSL_SPI_SPIPC2_ENADIN_HIGH (0x00000001u)


#define CSL_SPI_SPIPC2_SCSDIN_MASK (0x00000001u)
#define CSL_SPI_SPIPC2_SCSDIN_SHIFT (0x00000000u)
#define CSL_SPI_SPIPC2_SCSDIN_RESETVAL (0x00000000u)
/*----SCSDIN Tokens----*/
#define CSL_SPI_SPIPC2_SCSDIN_LOW (0x00000000u)
#define CSL_SPI_SPIPC2_SCSDIN_HIGH (0x00000001u)

#define CSL_SPI_SPIPC2_RESETVAL (0x00000000u)

/* SPIPC3 */


#define CSL_SPI_SPIPC3_SOMIDOUT_MASK (0x00000800u)
#define CSL_SPI_SPIPC3_SOMIDOUT_SHIFT (0x0000000Bu)
#define CSL_SPI_SPIPC3_SOMIDOUT_RESETVAL (0x00000000u)
/*----SOMIDOUT Tokens----*/
#define CSL_SPI_SPIPC3_SOMIDOUT_LOW (0x00000000u)
#define CSL_SPI_SPIPC3_SOMIDOUT_HIGH (0x00000001u)

#define CSL_SPI_SPIPC3_SIMODOUT_MASK (0x00000400u)
#define CSL_SPI_SPIPC3_SIMODOUT_SHIFT (0x0000000Au)
#define CSL_SPI_SPIPC3_SIMODOUT_RESETVAL (0x00000000u)
/*----SIMODOUT Tokens----*/
#define CSL_SPI_SPIPC3_SIMODOUT_LOW (0x00000000u)
#define CSL_SPI_SPIPC3_SIMODOUT_HIGH (0x00000001u)

#define CSL_SPI_SPIPC3_CLKDOUT_MASK (0x00000200u)
#define CSL_SPI_SPIPC3_CLKDOUT_SHIFT (0x00000009u)
#define CSL_SPI_SPIPC3_CLKDOUT_RESETVAL (0x00000000u)
/*----CLKDOUT Tokens----*/
#define CSL_SPI_SPIPC3_CLKDOUT_LOW (0x00000000u)
#define CSL_SPI_SPIPC3_CLKDOUT_HIGH (0x00000001u)

#define CSL_SPI_SPIPC3_ENADOUT_MASK (0x00000100u)
#define CSL_SPI_SPIPC3_ENADOUT_SHIFT (0x00000008u)
#define CSL_SPI_SPIPC3_ENADOUT_RESETVAL (0x00000000u)
/*----ENADOUT Tokens----*/
#define CSL_SPI_SPIPC3_ENADOUT_LOW (0x00000000u)
#define CSL_SPI_SPIPC3_ENADOUT_HIGH (0x00000001u)


#define CSL_SPI_SPIPC3_SCSDOUT_MASK (0x00000001u)
#define CSL_SPI_SPIPC3_SCSDOUT_SHIFT (0x00000000u)
#define CSL_SPI_SPIPC3_SCSDOUT_RESETVAL (0x00000000u)
/*----SCSDOUT Tokens----*/
#define CSL_SPI_SPIPC3_SCSDOUT_LOW (0x00000000u)
#define CSL_SPI_SPIPC3_SCSDOUT_HIGH (0x00000001u)

#define CSL_SPI_SPIPC3_RESETVAL (0x00000000u)

/* SPIPC4 */


#define CSL_SPI_SPIPC4_SOMIDSET_MASK (0x00000800u)
#define CSL_SPI_SPIPC4_SOMIDSET_SHIFT (0x0000000Bu)
#define CSL_SPI_SPIPC4_SOMIDSET_RESETVAL (0x00000000u)
/*----SOMIDSET Tokens----*/
#define CSL_SPI_SPIPC4_SOMIDSET_NO_EFFECT (0x00000000u)
#define CSL_SPI_SPIPC4_SOMIDSET_SET (0x00000001u)

#define CSL_SPI_SPIPC4_SIMODSET_MASK (0x00000400u)
#define CSL_SPI_SPIPC4_SIMODSET_SHIFT (0x0000000Au)
#define CSL_SPI_SPIPC4_SIMODSET_RESETVAL (0x00000000u)
/*----SIMODSET Tokens----*/
#define CSL_SPI_SPIPC4_SIMODSET_NO_EFFECT (0x00000000u)
#define CSL_SPI_SPIPC4_SIMODSET_SET (0x00000001u)

#define CSL_SPI_SPIPC4_CLKDSET_MASK (0x00000200u)
#define CSL_SPI_SPIPC4_CLKDSET_SHIFT (0x00000009u)
#define CSL_SPI_SPIPC4_CLKDSET_RESETVAL (0x00000000u)
/*----CLKDSET Tokens----*/
#define CSL_SPI_SPIPC4_CLKDSET_NO_EFFECT (0x00000000u)
#define CSL_SPI_SPIPC4_CLKDSET_SET (0x00000001u)

#define CSL_SPI_SPIPC4_ENADSET_MASK (0x00000100u)
#define CSL_SPI_SPIPC4_ENADSET_SHIFT (0x00000008u)
#define CSL_SPI_SPIPC4_ENADSET_RESETVAL (0x00000000u)
/*----ENADSET Tokens----*/
#define CSL_SPI_SPIPC4_ENADSET_NO_EFFECT (0x00000000u)
#define CSL_SPI_SPIPC4_ENADSET_SET (0x00000001u)


#define CSL_SPI_SPIPC4_SCSDSET_MASK (0x00000001u)
#define CSL_SPI_SPIPC4_SCSDSET_SHIFT (0x00000000u)
#define CSL_SPI_SPIPC4_SCSDSET_RESETVAL (0x00000000u)
/*----SCSDSET Tokens----*/
#define CSL_SPI_SPIPC4_SCSDSET_NO_EFFECT (0x00000000u)
#define CSL_SPI_SPIPC4_SCSDSET_SET (0x00000001u)

#define CSL_SPI_SPIPC4_RESETVAL (0x00000000u)

/* SPIPC5 */


#define CSL_SPI_SPIPC5_SOMIDCLR_MASK (0x00000800u)
#define CSL_SPI_SPIPC5_SOMIDCLR_SHIFT (0x0000000Bu)
#define CSL_SPI_SPIPC5_SOMIDCLR_RESETVAL (0x00000000u)
/*----SOMIDCLR Tokens----*/
#define CSL_SPI_SPIPC5_SOMIDCLR_NO_EFFECT (0x00000000u)
#define CSL_SPI_SPIPC5_SOMIDCLR_CLEAR (0x00000001u)

#define CSL_SPI_SPIPC5_SIMODCLR_MASK (0x00000400u)
#define CSL_SPI_SPIPC5_SIMODCLR_SHIFT (0x0000000Au)
#define CSL_SPI_SPIPC5_SIMODCLR_RESETVAL (0x00000000u)
/*----SIMODCLR Tokens----*/
#define CSL_SPI_SPIPC5_SIMODCLR_NO_EFFECT (0x00000000u)
#define CSL_SPI_SPIPC5_SIMODCLR_CLEAR (0x00000001u)

#define CSL_SPI_SPIPC5_CLKDCLR_MASK (0x00000200u)
#define CSL_SPI_SPIPC5_CLKDCLR_SHIFT (0x00000009u)
#define CSL_SPI_SPIPC5_CLKDCLR_RESETVAL (0x00000000u)
/*----CLKDCLR Tokens----*/
#define CSL_SPI_SPIPC5_CLKDCLR_NO_EFFECT (0x00000000u)
#define CSL_SPI_SPIPC5_CLKDCLR_CLEAR (0x00000001u)

#define CSL_SPI_SPIPC5_ENADCLR_MASK (0x00000100u)
#define CSL_SPI_SPIPC5_ENADCLR_SHIFT (0x00000008u)
#define CSL_SPI_SPIPC5_ENADCLR_RESETVAL (0x00000000u)
/*----ENADCLR Tokens----*/
#define CSL_SPI_SPIPC5_ENADCLR_NO_EFFECT (0x00000000u)
#define CSL_SPI_SPIPC5_ENADCLR_CLEAR (0x00000001u)


#define CSL_SPI_SPIPC5_SCSDCLR_MASK (0x00000001u)
#define CSL_SPI_SPIPC5_SCSDCLR_SHIFT (0x00000000u)
#define CSL_SPI_SPIPC5_SCSDCLR_RESETVAL (0x00000000u)
/*----SCSDCLR Tokens----*/
#define CSL_SPI_SPIPC5_SCSDCLR_NO_EFFECT (0x00000000u)
#define CSL_SPI_SPIPC5_SCSDCLR_CLEAR (0x00000001u)

#define CSL_SPI_SPIPC5_RESETVAL (0x00000000u)

/* SPIPC6 */


#define CSL_SPI_SPIPC6_SOMIPDR_MASK (0x00000800u)
#define CSL_SPI_SPIPC6_SOMIPDR_SHIFT (0x0000000Bu)
#define CSL_SPI_SPIPC6_SOMIPDR_RESETVAL (0x00000000u)
/*----SOMIPDR Tokens----*/
#define CSL_SPI_SPIPC6_SOMIPDR_HIGH (0x00000000u)
#define CSL_SPI_SPIPC6_SOMIPDR_HIZ (0x00000001u)

#define CSL_SPI_SPIPC6_SIMOPDR_MASK (0x00000400u)
#define CSL_SPI_SPIPC6_SIMOPDR_SHIFT (0x0000000Au)
#define CSL_SPI_SPIPC6_SIMOPDR_RESETVAL (0x00000000u)
/*----SIMOPDR Tokens----*/
#define CSL_SPI_SPIPC6_SIMOPDR_HIGH (0x00000000u)
#define CSL_SPI_SPIPC6_SIMOPDR_HIZ (0x00000001u)

#define CSL_SPI_SPIPC6_CLKPDR_MASK (0x00000200u)
#define CSL_SPI_SPIPC6_CLKPDR_SHIFT (0x00000009u)
#define CSL_SPI_SPIPC6_CLKPDR_RESETVAL (0x00000000u)
/*----CLKPDR Tokens----*/
#define CSL_SPI_SPIPC6_CLKPDR_HIGH (0x00000000u)
#define CSL_SPI_SPIPC6_CLKPDR_HIZ (0x00000001u)

#define CSL_SPI_SPIPC6_ENAPDR_MASK (0x00000100u)
#define CSL_SPI_SPIPC6_ENAPDR_SHIFT (0x00000008u)
#define CSL_SPI_SPIPC6_ENAPDR_RESETVAL (0x00000000u)
/*----ENAPDR Tokens----*/
#define CSL_SPI_SPIPC6_ENAPDR_HIGH (0x00000000u)
#define CSL_SPI_SPIPC6_ENAPDR_HIZ (0x00000001u)


#define CSL_SPI_SPIPC6_SCSPDR_MASK (0x00000001u)
#define CSL_SPI_SPIPC6_SCSPDR_SHIFT (0x00000000u)
#define CSL_SPI_SPIPC6_SCSPDR_RESETVAL (0x00000000u)
/*----SCSPDR Tokens----*/
#define CSL_SPI_SPIPC6_SCSPDR_HIGH (0x00000000u)
#define CSL_SPI_SPIPC6_SCSPDR_HIZ (0x00000001u)

#define CSL_SPI_SPIPC6_RESETVAL (0x00000000u)

/* SPIPC7 */


#define CSL_SPI_SPIPC7_SOMIPDIS_MASK (0x00000800u)
#define CSL_SPI_SPIPC7_SOMIPDIS_SHIFT (0x0000000Bu)
#define CSL_SPI_SPIPC7_SOMIPDIS_RESETVAL (0x00000000u)
/*----SOMIPDIS Tokens----*/
#define CSL_SPI_SPIPC7_SOMIPDIS_ENABLE (0x00000000u)
#define CSL_SPI_SPIPC7_SOMIPDIS_DISABLE (0x00000001u)

#define CSL_SPI_SPIPC7_SIMOPDIS_MASK (0x00000400u)
#define CSL_SPI_SPIPC7_SIMOPDIS_SHIFT (0x0000000Au)
#define CSL_SPI_SPIPC7_SIMOPDIS_RESETVAL (0x00000000u)
/*----SIMOPDIS Tokens----*/
#define CSL_SPI_SPIPC7_SIMOPDIS_ENABLE (0x00000000u)
#define CSL_SPI_SPIPC7_SIMOPDIS_DISABLE (0x00000001u)

#define CSL_SPI_SPIPC7_CLKPDIS_MASK (0x00000200u)
#define CSL_SPI_SPIPC7_CLKPDIS_SHIFT (0x00000009u)
#define CSL_SPI_SPIPC7_CLKPDIS_RESETVAL (0x00000000u)
/*----CLKPDIS Tokens----*/
#define CSL_SPI_SPIPC7_CLKPDIS_ENABLE (0x00000000u)
#define CSL_SPI_SPIPC7_CLKPDIS_DISABLE (0x00000001u)

#define CSL_SPI_SPIPC7_ENAPDIS_MASK (0x00000100u)
#define CSL_SPI_SPIPC7_ENAPDIS_SHIFT (0x00000008u)
#define CSL_SPI_SPIPC7_ENAPDIS_RESETVAL (0x00000000u)
/*----ENAPDIS Tokens----*/
#define CSL_SPI_SPIPC7_ENAPDIS_ENABLE (0x00000000u)
#define CSL_SPI_SPIPC7_ENAPDIS_DISABLE (0x00000001u)


#define CSL_SPI_SPIPC7_SCSPDIS_MASK (0x00000001u)
#define CSL_SPI_SPIPC7_SCSPDIS_SHIFT (0x00000000u)
#define CSL_SPI_SPIPC7_SCSPDIS_RESETVAL (0x00000000u)
/*----SCSPDIS Tokens----*/
#define CSL_SPI_SPIPC7_SCSPDIS_ENABLE (0x00000000u)
#define CSL_SPI_SPIPC7_SCSPDIS_DISABLE (0x00000001u)

#define CSL_SPI_SPIPC7_RESETVAL (0x00000000u)

/* SPIPC8 */


#define CSL_SPI_SPIPC8_SOMIPSEL_MASK (0x00000800u)
#define CSL_SPI_SPIPC8_SOMIPSEL_SHIFT (0x0000000Bu)
#define CSL_SPI_SPIPC8_SOMIPSEL_RESETVAL (0x00000000u)
/*----SOMIPSEL Tokens----*/
#define CSL_SPI_SPIPC8_SOMIPSEL_LOW (0x00000000u)
#define CSL_SPI_SPIPC8_SOMIPSEL_HIGH (0x00000001u)

#define CSL_SPI_SPIPC8_SIMOPSEL_MASK (0x00000400u)
#define CSL_SPI_SPIPC8_SIMOPSEL_SHIFT (0x0000000Au)
#define CSL_SPI_SPIPC8_SIMOPSEL_RESETVAL (0x00000000u)
/*----SIMOPSEL Tokens----*/
#define CSL_SPI_SPIPC8_SIMOPSEL_LOW (0x00000000u)
#define CSL_SPI_SPIPC8_SIMOPSEL_HIGH (0x00000001u)

#define CSL_SPI_SPIPC8_CLKPSEL_MASK (0x00000200u)
#define CSL_SPI_SPIPC8_CLKPSEL_SHIFT (0x00000009u)
#define CSL_SPI_SPIPC8_CLKPSEL_RESETVAL (0x00000000u)
/*----CLKPSEL Tokens----*/
#define CSL_SPI_SPIPC8_CLKPSEL_LOW (0x00000000u)
#define CSL_SPI_SPIPC8_CLKPSEL_HIGH (0x00000001u)

#define CSL_SPI_SPIPC8_ENAPSEL_MASK (0x00000100u)
#define CSL_SPI_SPIPC8_ENAPSEL_SHIFT (0x00000008u)
#define CSL_SPI_SPIPC8_ENAPSEL_RESETVAL (0x00000000u)
/*----ENAPSEL Tokens----*/
#define CSL_SPI_SPIPC8_ENAPSEL_LOW (0x00000000u)
#define CSL_SPI_SPIPC8_ENAPSEL_HIGH (0x00000001u)


#define CSL_SPI_SPIPC8_SCSPSEL_MASK (0x00000001u)
#define CSL_SPI_SPIPC8_SCSPSEL_SHIFT (0x00000000u)
#define CSL_SPI_SPIPC8_SCSPSEL_RESETVAL (0x00000000u)
/*----SCSPSEL Tokens----*/
#define CSL_SPI_SPIPC8_SCSPSEL_LOW (0x00000000u)
#define CSL_SPI_SPIPC8_SCSPSEL_HIGH (0x00000001u)

#define CSL_SPI_SPIPC8_RESETVAL (0x00000000u)

/* SPIDAT0 */


#define CSL_SPI_SPIDAT0_SPIDAT0_MASK (0x0000FFFFu)
#define CSL_SPI_SPIDAT0_SPIDAT0_SHIFT (0x00000000u)
#define CSL_SPI_SPIDAT0_SPIDAT0_RESETVAL (0x00000000u)

#define CSL_SPI_SPIDAT0_RESETVAL (0x00000000u)

/* SPIDAT1 */


#define CSL_SPI_SPIDAT1_CSHOLD_MASK (0x10000000u)
#define CSL_SPI_SPIDAT1_CSHOLD_SHIFT (0x0000001Cu)
#define CSL_SPI_SPIDAT1_CSHOLD_RESETVAL (0x00000000u)
/*----CSHOLD Tokens----*/
#define CSL_SPI_SPIDAT1_CSHOLD_NO (0x00000000u)
#define CSL_SPI_SPIDAT1_CSHOLD_YES (0x00000001u)


#define CSL_SPI_SPIDAT1_WDEL_MASK (0x04000000u)
#define CSL_SPI_SPIDAT1_WDEL_SHIFT (0x0000001Au)
#define CSL_SPI_SPIDAT1_WDEL_RESETVAL (0x00000000u)
/*----WDEL Tokens----*/
#define CSL_SPI_SPIDAT1_WDEL_NODELAY (0x00000000u)
#define CSL_SPI_SPIDAT1_WDEL_DELAY (0x00000001u)

#define CSL_SPI_SPIDAT1_DFSEL_MASK (0x03000000u)
#define CSL_SPI_SPIDAT1_DFSEL_SHIFT (0x00000018u)
#define CSL_SPI_SPIDAT1_DFSEL_RESETVAL (0x00000000u)
/*----DFSEL Tokens----*/
#define CSL_SPI_SPIDAT1_DFSEL_FMT0 (0x00000000u)
#define CSL_SPI_SPIDAT1_DFSEL_FMT1 (0x00000001u)
#define CSL_SPI_SPIDAT1_DFSEL_FMT2 (0x00000002u)
#define CSL_SPI_SPIDAT1_DFSEL_FMT3 (0x00000003u)

#define CSL_SPI_SPIDAT1_CSNR_MASK (0x00FF0000u)
#define CSL_SPI_SPIDAT1_CSNR_SHIFT (0x00000010u)
#define CSL_SPI_SPIDAT1_CSNR_RESETVAL (0x00000000u)

#define CSL_SPI_SPIDAT1_SPIDAT1_MASK (0x0000FFFFu)
#define CSL_SPI_SPIDAT1_SPIDAT1_SHIFT (0x00000000u)
#define CSL_SPI_SPIDAT1_SPIDAT1_RESETVAL (0x00000000u)

#define CSL_SPI_SPIDAT1_RESETVAL (0x00000000u)

/* SPIBUF */

#define CSL_SPI_SPIBUF_RXEMPTY_MASK (0x80000000u)
#define CSL_SPI_SPIBUF_RXEMPTY_SHIFT (0x0000001Fu)
#define CSL_SPI_SPIBUF_RXEMPTY_RESETVAL (0x00000001u)
/*----RXEMPTY Tokens----*/
#define CSL_SPI_SPIBUF_RXEMPTY_NO_EMPTY (0x00000000u)
#define CSL_SPI_SPIBUF_RXEMPTY_EMPTY (0x00000001u)

#define CSL_SPI_SPIBUF_RXOVR_MASK (0x40000000u)
#define CSL_SPI_SPIBUF_RXOVR_SHIFT (0x0000001Eu)
#define CSL_SPI_SPIBUF_RXOVR_RESETVAL (0x00000000u)
/*----RXOVR Tokens----*/
#define CSL_SPI_SPIBUF_RXOVR_NO_ERROR (0x00000000u)
#define CSL_SPI_SPIBUF_RXOVR_ERROR (0x00000001u)

#define CSL_SPI_SPIBUF_TXFULL_MASK (0x20000000u)
#define CSL_SPI_SPIBUF_TXFULL_SHIFT (0x0000001Du)
#define CSL_SPI_SPIBUF_TXFULL_RESETVAL (0x00000000u)
/*----TXFULL Tokens----*/
#define CSL_SPI_SPIBUF_TXFULL_NO_FULL (0x00000000u)
#define CSL_SPI_SPIBUF_TXFULL_FULL (0x00000001u)

#define CSL_SPI_SPIBUF_BITERR_MASK (0x10000000u)
#define CSL_SPI_SPIBUF_BITERR_SHIFT (0x0000001Cu)
#define CSL_SPI_SPIBUF_BITERR_RESETVAL (0x00000000u)
/*----BITERR Tokens----*/
#define CSL_SPI_SPIBUF_BITERR_NO_ERROR (0x00000000u)
#define CSL_SPI_SPIBUF_BITERR_ERROR (0x00000001u)

#define CSL_SPI_SPIBUF_DESYNC_MASK (0x08000000u)
#define CSL_SPI_SPIBUF_DESYNC_SHIFT (0x0000001Bu)
#define CSL_SPI_SPIBUF_DESYNC_RESETVAL (0x00000000u)
/*----DESYNC Tokens----*/
#define CSL_SPI_SPIBUF_DESYNC_NO_ERROR (0x00000000u)
#define CSL_SPI_SPIBUF_DESYNC_ERROR (0x00000001u)

#define CSL_SPI_SPIBUF_PARERR_MASK (0x04000000u)
#define CSL_SPI_SPIBUF_PARERR_SHIFT (0x0000001Au)
#define CSL_SPI_SPIBUF_PARERR_RESETVAL (0x00000000u)
/*----PARERR Tokens----*/
#define CSL_SPI_SPIBUF_PARERR_NO_ERROR (0x00000000u)
#define CSL_SPI_SPIBUF_PARERR_ERROR (0x00000001u)

#define CSL_SPI_SPIBUF_TIMEOUT_MASK (0x02000000u)
#define CSL_SPI_SPIBUF_TIMEOUT_SHIFT (0x00000019u)
#define CSL_SPI_SPIBUF_TIMEOUT_RESETVAL (0x00000000u)
/*----TIMEOUT Tokens----*/
#define CSL_SPI_SPIBUF_TIMEOUT_NO_ERROR (0x00000000u)
#define CSL_SPI_SPIBUF_TIMEOUT_ERROR (0x00000001u)

#define CSL_SPI_SPIBUF_DLENERR_MASK (0x01000000u)
#define CSL_SPI_SPIBUF_DLENERR_SHIFT (0x00000018u)
#define CSL_SPI_SPIBUF_DLENERR_RESETVAL (0x00000000u)
/*----DLENERR Tokens----*/
#define CSL_SPI_SPIBUF_DLENERR_NO_ERROR (0x00000000u)
#define CSL_SPI_SPIBUF_DLENERR_ERROR (0x00000001u)

#define CSL_SPI_SPIBUF_LCSNR_MASK (0x00FF0000u)
#define CSL_SPI_SPIBUF_LCSNR_SHIFT (0x00000010u)
#define CSL_SPI_SPIBUF_LCSNR_RESETVAL (0x00000000u)

#define CSL_SPI_SPIBUF_SPIBUF_MASK (0x0000FFFFu)
#define CSL_SPI_SPIBUF_SPIBUF_SHIFT (0x00000000u)
#define CSL_SPI_SPIBUF_SPIBUF_RESETVAL (0x00000000u)

#define CSL_SPI_SPIBUF_RESETVAL (0x80000000u)

/* SPIEMU */

#define CSL_SPI_SPIEMU_RXEMPTY_MASK (0x80000000u)
#define CSL_SPI_SPIEMU_RXEMPTY_SHIFT (0x0000001Fu)
#define CSL_SPI_SPIEMU_RXEMPTY_RESETVAL (0x00000001u)
/*----RXEMPTY Tokens----*/
#define CSL_SPI_SPIEMU_RXEMPTY_NO_EMPTY (0x00000000u)
#define CSL_SPI_SPIEMU_RXEMPTY_EMPTY (0x00000001u)

#define CSL_SPI_SPIEMU_RXOVR_MASK (0x40000000u)
#define CSL_SPI_SPIEMU_RXOVR_SHIFT (0x0000001Eu)
#define CSL_SPI_SPIEMU_RXOVR_RESETVAL (0x00000000u)
/*----RXOVR Tokens----*/
#define CSL_SPI_SPIEMU_RXOVR_NO_ERROR (0x00000000u)
#define CSL_SPI_SPIEMU_RXOVR_ERROR (0x00000001u)

#define CSL_SPI_SPIEMU_TXFULL_MASK (0x20000000u)
#define CSL_SPI_SPIEMU_TXFULL_SHIFT (0x0000001Du)
#define CSL_SPI_SPIEMU_TXFULL_RESETVAL (0x00000000u)
/*----TXFULL Tokens----*/
#define CSL_SPI_SPIEMU_TXFULL_NO_FULL (0x00000000u)
#define CSL_SPI_SPIEMU_TXFULL_FULL (0x00000001u)

#define CSL_SPI_SPIEMU_BITERR_MASK (0x10000000u)
#define CSL_SPI_SPIEMU_BITERR_SHIFT (0x0000001Cu)
#define CSL_SPI_SPIEMU_BITERR_RESETVAL (0x00000000u)
/*----BITERR Tokens----*/
#define CSL_SPI_SPIEMU_BITERR_NO_ERROR (0x00000000u)
#define CSL_SPI_SPIEMU_BITERR_ERROR (0x00000001u)

#define CSL_SPI_SPIEMU_DESYNC_MASK (0x08000000u)
#define CSL_SPI_SPIEMU_DESYNC_SHIFT (0x0000001Bu)
#define CSL_SPI_SPIEMU_DESYNC_RESETVAL (0x00000000u)
/*----DESYNC Tokens----*/
#define CSL_SPI_SPIEMU_DESYNC_NO_ERROR (0x00000000u)
#define CSL_SPI_SPIEMU_DESYNC_ERROR (0x00000001u)

#define CSL_SPI_SPIEMU_PARITYERR_MASK (0x04000000u)
#define CSL_SPI_SPIEMU_PARITYERR_SHIFT (0x0000001Au)
#define CSL_SPI_SPIEMU_PARITYERR_RESETVAL (0x00000000u)
/*----PARITYERR Tokens----*/
#define CSL_SPI_SPIEMU_PARITYERR_NO_ERROR (0x00000000u)
#define CSL_SPI_SPIEMU_PARITYERR_ERROR (0x00000001u)

#define CSL_SPI_SPIEMU_TIMEOUT_MASK (0x02000000u)
#define CSL_SPI_SPIEMU_TIMEOUT_SHIFT (0x00000019u)
#define CSL_SPI_SPIEMU_TIMEOUT_RESETVAL (0x00000000u)
/*----TIMEOUT Tokens----*/
#define CSL_SPI_SPIEMU_TIMEOUT_NO_ERROR (0x00000000u)
#define CSL_SPI_SPIEMU_TIMEOUT_ERROR (0x00000001u)

#define CSL_SPI_SPIEMU_DLENERR_MASK (0x01000000u)
#define CSL_SPI_SPIEMU_DLENERR_SHIFT (0x00000018u)
#define CSL_SPI_SPIEMU_DLENERR_RESETVAL (0x00000000u)
/*----DLENERR Tokens----*/
#define CSL_SPI_SPIEMU_DLENERR_NO_ERROR (0x00000000u)
#define CSL_SPI_SPIEMU_DLENERR_ERROR (0x00000001u)

#define CSL_SPI_SPIEMU_LCSNR_MASK (0x00FF0000u)
#define CSL_SPI_SPIEMU_LCSNR_SHIFT (0x00000010u)
#define CSL_SPI_SPIEMU_LCSNR_RESETVAL (0x00000000u)

#define CSL_SPI_SPIEMU_RXDATA_MASK (0x0000FFFFu)
#define CSL_SPI_SPIEMU_RXDATA_SHIFT (0x00000000u)
#define CSL_SPI_SPIEMU_RXDATA_RESETVAL (0x00000000u)

#define CSL_SPI_SPIEMU_RESETVAL (0x80000000u)

/* SPIDELAY */

#define CSL_SPI_SPIDELAY_C2T_MASK (0xFF000000u)
#define CSL_SPI_SPIDELAY_C2T_SHIFT (0x00000018u)
#define CSL_SPI_SPIDELAY_C2T_RESETVAL (0x00000000u)

#define CSL_SPI_SPIDELAY_T2C_MASK (0x00FF0000u)
#define CSL_SPI_SPIDELAY_T2C_SHIFT (0x00000010u)
#define CSL_SPI_SPIDELAY_T2C_RESETVAL (0x00000000u)

#define CSL_SPI_SPIDELAY_T2E_MASK (0x0000FF00u)
#define CSL_SPI_SPIDELAY_T2E_SHIFT (0x00000008u)
#define CSL_SPI_SPIDELAY_T2E_RESETVAL (0x00000000u)

#define CSL_SPI_SPIDELAY_C2E_MASK (0x000000FFu)
#define CSL_SPI_SPIDELAY_C2E_SHIFT (0x00000000u)
#define CSL_SPI_SPIDELAY_C2E_RESETVAL (0x00000000u)

#define CSL_SPI_SPIDELAY_RESETVAL (0x00000000u)

/* SPIDEF */



#define CSL_SPI_SPIDEF_CSDEF_MASK (0x00000001u)
#define CSL_SPI_SPIDEF_CSDEF_SHIFT (0x00000000u)
#define CSL_SPI_SPIDEF_CSDEF_RESETVAL (0x00000001u)
/*----CSDEF Tokens----*/
#define CSL_SPI_SPIDEF_CSDEF_LOW (0x00000000u)
#define CSL_SPI_SPIDEF_CSDEF_HIGH (0x00000001u)

#define CSL_SPI_SPIDEF_RESETVAL (0x000000FFu)

/* SPIFMT */


#define CSL_SPI_SPIFMT_WDELAY_MASK (0x3F000000u)
#define CSL_SPI_SPIFMT_WDELAY_SHIFT (0x00000018u)
#define CSL_SPI_SPIFMT_WDELAY_RESETVAL (0x00000000u)

#define CSL_SPI_SPIFMT_PARPOL_MASK (0x00800000u)
#define CSL_SPI_SPIFMT_PARPOL_SHIFT (0x00000017u)
#define CSL_SPI_SPIFMT_PARPOL_RESETVAL (0x00000000u)
/*----PARPOL Tokens----*/
#define CSL_SPI_SPIFMT_PARPOL_EVEN (0x00000000u)
#define CSL_SPI_SPIFMT_PARPOL_ODD (0x00000001u)

#define CSL_SPI_SPIFMT_PARITY_MASK (0x00400000u)
#define CSL_SPI_SPIFMT_PARITY_SHIFT (0x00000016u)
#define CSL_SPI_SPIFMT_PARITY_RESETVAL (0x00000000u)
/*----PARENA Tokens----*/
#define CSL_SPI_SPIFMT_PARITY_DISABLE (0x00000000u)
#define CSL_SPI_SPIFMT_PARITY_ENABLE (0x00000001u)

#define CSL_SPI_SPIFMT_WAITEN_MASK (0x00200000u)
#define CSL_SPI_SPIFMT_WAITEN_SHIFT (0x00000015u)
#define CSL_SPI_SPIFMT_WAITEN_RESETVAL (0x00000000u)
/*----WAITENA Tokens----*/
#define CSL_SPI_SPIFMT_WAITEN_NO (0x00000000u)
#define CSL_SPI_SPIFMT_WAITEN_YES (0x00000001u)

#define CSL_SPI_SPIFMT_SHIFTDIR_MASK (0x00100000u)
#define CSL_SPI_SPIFMT_SHIFTDIR_SHIFT (0x00000014u)
#define CSL_SPI_SPIFMT_SHIFTDIR_RESETVAL (0x00000000u)
/*----SHIFTDIR Tokens----*/
#define CSL_SPI_SPIFMT_SHIFTDIR_MSBFIRST (0x00000000u)
#define CSL_SPI_SPIFMT_SHIFTDIR_LSBFIRST (0x00000001u)


#define CSL_SPI_SPIFMT_DISCSTIMERS_MASK (0x00040000u)
#define CSL_SPI_SPIFMT_DISCSTIMERS_SHIFT (0x00000012u)
#define CSL_SPI_SPIFMT_DISCSTIMERS_RESETVAL (0x00000000u)
/*----DISCSTIMERS Tokens----*/
#define CSL_SPI_SPIFMT_DISCSTIMERS_DISABLE (0x00000000u)
#define CSL_SPI_SPIFMT_DISCSTIMERS_ENABLE (0x00000001u)

#define CSL_SPI_SPIFMT_POLARITY_MASK (0x00020000u)
#define CSL_SPI_SPIFMT_POLARITY_SHIFT (0x00000011u)
#define CSL_SPI_SPIFMT_POLARITY_RESETVAL (0x00000000u)
/*----POLARITY Tokens----*/
#define CSL_SPI_SPIFMT_POLARITY_LOW (0x00000000u)
#define CSL_SPI_SPIFMT_POLARITY_HIGH (0x00000001u)

#define CSL_SPI_SPIFMT_PHASE_MASK (0x00010000u)
#define CSL_SPI_SPIFMT_PHASE_SHIFT (0x00000010u)
#define CSL_SPI_SPIFMT_PHASE_RESETVAL (0x00000000u)
/*----PHASE Tokens----*/
#define CSL_SPI_SPIFMT_PHASE_IN (0x00000000u)
#define CSL_SPI_SPIFMT_PHASE_OUT (0x00000001u)

#define CSL_SPI_SPIFMT_PRESCALE_MASK (0x0000FF00u)
#define CSL_SPI_SPIFMT_PRESCALE_SHIFT (0x00000008u)
#define CSL_SPI_SPIFMT_PRESCALE_RESETVAL (0x00000000u)


#define CSL_SPI_SPIFMT_CHARLEN_MASK (0x0000001Fu)
#define CSL_SPI_SPIFMT_CHARLEN_SHIFT (0x00000000u)
#define CSL_SPI_SPIFMT_CHARLEN_RESETVAL (0x00000000u)

#define CSL_SPI_SPIFMT_RESETVAL (0x00000000u)


/* TGINTVEC */


#define CSL_SPI_TGINTVEC_INTVECT_MASK (0x0000003Eu)
#define CSL_SPI_TGINTVEC_INTVECT_SHIFT (0x00000001u)
#define CSL_SPI_SPIINTVECT_INTVECT_RESETVAL (0x00000000u)


#define CSL_SPI_TGINTVEC_RESETVAL (0x00000000u)


#endif
